Summary:  New MH mail handling system
Name: nmh
Version: 0.21
Release: 1
Requires: smtpdaemon
Copyright: freeware
Group: Applications/Mail
Source0: ftp://ftp.math.gatech.edu/pub/nmh/nmh-0.21.tar.gz
Patch0: nmh-0.21.linux.diff

%description 
nmh (new MH) is a powerful electronic mail handling system. It was
originally based on version 6.8.3 of the MH message system developed
by the RAND Corporation and the University of California. It is
intended to be a (mostly) compatible drop-in replacement for MH.

%prep 
%setup -n nmh-0.21
%patch0 -p1

%build
mkdir -p /usr/nmh/bin
./configure
make clean
make

%install
make install

/sbin/ldconfig

mkdir -p /etc/profile.d
echo "export PATH=\$PATH:/usr/nmh/bin" > /etc/profile.d/nmh.sh
echo "export MM_CHARSET=ISO-8859-1" >> /etc/profile.d/nmh.sh
echo "set path=(\$path /usr/nmh/bin)" > /etc/profile.d/nmh.csh
echo "setenv MM_CHARSET ISO-8859-1">> /etc/profile.d/nmh.csh
chmod 755 /etc/profile.d/nmh.sh
chmod 755 /etc/profile.d/nmh.csh

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYRIGHT ChangeLog DIFFERENCES FAQ MACHINES
%doc TODO VERSION ZSH.COMPLETION
%dir /usr/nmh/bin
%config /etc/profile.d/nmh.sh
%config /etc/profile.d/nmh.csh
/usr/lib/libmh.so
/usr/lib/libmh.so.3.2
/usr/nmh/bin/ali
/usr/nmh/bin/anno
/usr/nmh/bin/burst
/usr/nmh/bin/comp
/usr/nmh/bin/dist
/usr/nmh/bin/flist
/usr/nmh/bin/folder
/usr/nmh/bin/folders
/usr/nmh/bin/forw
/usr/nmh/bin/inc
/usr/nmh/bin/mark
/usr/nmh/bin/mhmail
/usr/nmh/bin/mhn
/usr/nmh/bin/mhpath
/usr/nmh/bin/msgchk
/usr/nmh/bin/msh
/usr/nmh/bin/show
/usr/nmh/bin/next
/usr/nmh/bin/prev
/usr/nmh/bin/packf
/usr/nmh/bin/pick
/usr/nmh/bin/prompter
/usr/nmh/bin/refile
/usr/nmh/bin/repl
/usr/nmh/bin/rmf
/usr/nmh/bin/rmm
/usr/nmh/bin/scan
/usr/nmh/bin/send
/usr/nmh/bin/sortm
/usr/nmh/bin/whatnow
/usr/nmh/bin/whom
/usr/nmh/bin/mhparam

%dir /usr/nmh/lib
%config /usr/nmh/etc/MailAliases
%config /usr/nmh/etc/components
%config /usr/nmh/etc/digestcomps
%config /usr/nmh/etc/distcomps
%config /usr/nmh/etc/forwcomps
%config /usr/nmh/etc/mhl.body
%config /usr/nmh/etc/mhl.digest
%config /usr/nmh/etc/mhl.format
%config /usr/nmh/etc/mhl.forward
%config /usr/nmh/etc/mhl.headers
%config /usr/nmh/etc/mhl.reply
%config /usr/nmh/etc/mhn.defaults
%config /usr/nmh/etc/mts.conf
%config /usr/nmh/etc/rcvdistcomps
%config /usr/nmh/etc/replcomps
%config /usr/nmh/etc/replgroupcomps
%config /usr/nmh/etc/scan.default
%config /usr/nmh/etc/scan.mailx
%config /usr/nmh/etc/scan.size
%config /usr/nmh/etc/scan.time
%config /usr/nmh/etc/scan.timely
%config /usr/nmh/etc/scan.unseen
%config /usr/nmh/etc/tmac.h 
/usr/nmh/lib/viamail
/usr/nmh/lib/ap
/usr/nmh/lib/conflict
/usr/nmh/lib/dp
/usr/nmh/lib/install-mh
/usr/nmh/lib/mhl
/usr/nmh/lib/post
/usr/nmh/lib/rcvdist
/usr/nmh/lib/rcvpack
/usr/nmh/lib/rcvstore
/usr/nmh/lib/rcvtty
/usr/nmh/lib/fmtdump
/usr/nmh/lib/spost
/usr/nmh/lib/slocal
/usr/nmh/man/man1/ali.1
/usr/nmh/man/man1/anno.1
/usr/nmh/man/man1/burst.1
/usr/nmh/man/man1/comp.1
/usr/nmh/man/man1/dist.1
/usr/nmh/man/man1/folder.1
/usr/nmh/man/man1/forw.1
/usr/nmh/man/man1/inc.1
/usr/nmh/man/man1/mark.1
/usr/nmh/man/man1/mh-chart.1
/usr/nmh/man/man1/nmh.1
/usr/nmh/man/man1/mhl.1
/usr/nmh/man/man1/mhmail.1
/usr/nmh/man/man1/mhn.1
/usr/nmh/man/man1/mhparam.1
/usr/nmh/man/man1/mhpath.1
/usr/nmh/man/man1/msgchk.1
/usr/nmh/man/man1/msh.1
/usr/nmh/man/man1/next.1
/usr/nmh/man/man1/packf.1
/usr/nmh/man/man1/pick.1
/usr/nmh/man/man1/prev.1
/usr/nmh/man/man1/prompter.1
/usr/nmh/man/man1/rcvstore.1
/usr/nmh/man/man1/refile.1
/usr/nmh/man/man1/repl.1
/usr/nmh/man/man1/rmf.1
/usr/nmh/man/man1/rmm.1
/usr/nmh/man/man1/scan.1
/usr/nmh/man/man1/send.1
/usr/nmh/man/man1/show.1
/usr/nmh/man/man1/slocal.1
/usr/nmh/man/man1/sortm.1
/usr/nmh/man/man1/vmh.1
/usr/nmh/man/man1/whatnow.1
/usr/nmh/man/man1/whom.1
/usr/nmh/man/man5/mh-alias.5
/usr/nmh/man/man5/mh-format.5
/usr/nmh/man/man5/mh-mail.5
/usr/nmh/man/man5/mh-profile.5
/usr/nmh/man/man5/mh-sequence.5
/usr/nmh/man/man5/mh-tailor.5
/usr/nmh/man/man8/ap.8
/usr/nmh/man/man8/conflict.8
/usr/nmh/man/man8/dp.8
/usr/nmh/man/man8/install-mh.8
/usr/nmh/man/man8/post.8
/usr/nmh/man/man8/fmtdump.8
